package com.palmnest.service.estateserve;

import com.palmnest.application.dto.output.WatermenterDto;
import com.palmnest.model.WatermeterInfo;
import com.palmnest.service.GenericManager;

import java.util.List;

public interface WatermeterManager extends GenericManager<WatermeterInfo, Integer> {

	public List<WatermenterDto> getWatermeterList(int sourseId, int enterType, String floorId, String roomId) throws Exception;

	public List<WatermeterInfo> getWatermeterLists(int sourseId, int enterType, String floorId, String roomId) throws Exception;

	public String saveWaterInfo(List<WatermenterDto> list, int enterId, int userId) throws Exception;

	public String sendWechat(String enterId, List<WatermenterDto> wateList) throws Exception;

	public String sendAppMessage(String enterId) throws Exception;
}
